#!/bin/sh

if [ $(arch) = 'x86_64' ]; then
    arch=x86_64
else
    arch=x86
fi

root="$(dirname $0)/../tuxpaint/$arch"

ln -fs ../share "$root"/share

"$root"/bin/sugarize "$@" \
    --$(xdpyinfo | grep dimensions: | awk '{print $2}') \
    --nolockfile \
    --autosave \
    --sysfonts \
    --nobuttondistinction

echo $?
